<html>
<body>
<h1> The case TRBS can not handle </h1>
<p>
Spacing is calculated on triangulation edges. This implicitly assumes an edge
is always a radial construct relative to the closest point (e.g. via). In
the following example the almost vertical edge between cr 197 and cr 198, the
starting from pin 1's south-east corner is going too close to pin 2. In
the initial sketch it is not critical:
<p>
<img src="fail1.svg">
<p>
But after the global puller, the route is identical to that edge:
<p>
<img src="fail2.svg">
<p>
This route can not consider spacing to pin 2 because there is no near-perpendicular
edge, radial from pin 2 against the route.
<p>
Fix 1: It would be possible to insert such an edge, detecting a tangential
edge is "too close" to pin 2. However adding such edges that are not radial
from any obstacle may ruin trbs: the edge would be in the middle between pin
rows and if there are enough vertical lines it is not clear where exactly it
should be placed to not interfere with spacing.
<p>
Fix 2: it would be possible to create an ocatagon for the triangulation at
the round copper of the pin. But that wouldn't necessarily solve the
problem because the tangential line would then be tangential to the corner
of the octagon.

</body>
